Quattro9GraphInternal::SubDocument Class Referencefinal

Internal: the subdocument of a Quattro9GraphInternal. More...

Inheritance diagram for Quattro9GraphInternal::SubDocument:

## Public Member Functions
| SubDocument (Quattro9Graph &graphParser, std::shared_ptr< Textbox > const &textbox, libwps_tools_win::Font::Type fontType)
| constructor for a textbox document
| ~SubDocument () final
| destructor
bool | operator== (std::shared_ptr< WPSSubDocument > const &doc) const final
| operator==
void | parse (std::shared_ptr< WKSContentListener > &listener, libwps::SubDocumentType subDocumentType) final
| the parser function
Public Member Functions inherited from WKSSubDocument
| WKSSubDocument (RVNGInputStreamPtr const &input, WKSParser *parser, int id=0)
| constructor
| ~WKSSubDocument () override
| destructor
WKSParser * | parser () const
| returns the parser
bool | operator== (std::shared_ptr< WPSSubDocument > const &doc) const override
| an operator =
Public Member Functions inherited from WPSSubDocument
| WPSSubDocument (RVNGInputStreamPtr const &input, int id=0)
| constructor
virtual | ~WPSSubDocument ()
| destructor
RVNGInputStreamPtr & | getInput ()
| returns the input
int | id () const
| get the identificator
void | setId (int i)
| set the identificator
bool | operator!= (std::shared_ptr< WPSSubDocument > const &doc) const

## Public Attributes
std::shared_ptr< Textbox > | m_textbox
| the textbox data
libwps_tools_win::Font::Type | m_fontType
| the font type

## Additional Inherited Members
Protected Attributes inherited from WKSSubDocument
WKSParser * | m_parser
Protected Attributes inherited from WPSSubDocument
RVNGInputStreamPtr | m_input
int | m_id

## Detailed Description

Internal: the subdocument of a Quattro9GraphInternal.

## Constructor & Destructor Documentation

## ◆ SubDocument()

Quattro9GraphInternal::SubDocument::SubDocument | ( | Quattro9Graph & | graphParser,
|  | std::shared_ptr< Textbox > const & | textbox,
|  | libwps_tools_win::Font::Type | fontType )
| inline

constructor for a textbox document

Referenced by operator==().

## ◆ ~SubDocument()

Quattro9GraphInternal::SubDocument::~SubDocument | ( |  | ) |
| inline final

destructor

## Member Function Documentation

## ◆ operator==()

bool Quattro9GraphInternal::SubDocument::operator== | ( | std::shared_ptr< WPSSubDocument > const & | doc | ) | const
| inline final virtual

operator==

Reimplemented from WPSSubDocument.

## ◆ parse()

void Quattro9GraphInternal::SubDocument::parse | ( | std::shared_ptr< WKSContentListener > & | listener,
|  | libwps::SubDocumentType | subDocumentType )
| final virtual

the parser function

Implements WKSSubDocument.

## Member Data Documentation

## ◆ m_fontType

libwps_tools_win::Font::Type Quattro9GraphInternal::SubDocument::m_fontType

the font type

Referenced by operator==(), parse(), and SubDocument().

## ◆ m_textbox

std::shared_ptr<Textbox> Quattro9GraphInternal::SubDocument::m_textbox

the textbox data

Referenced by operator==(), parse(), and SubDocument().

The documentation for this class was generated from the following file:

- Quattro9Graph.cpp